# Uses of Interface
org.jfree.chart3d.label.CategoryLabelGenerator

Packages that use CategoryLabelGenerator
Package
Description
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.
org.jfree.chart3d.label
Classes related to chart labels.
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.

## Uses of CategoryLabelGenerator in org.jfree.chart3d.axis

Methods in org.jfree.chart3d.axis that return CategoryLabelGenerator
Modifier and Type
Method
Description
`CategoryLabelGenerator`
StandardCategoryAxis3D.`getTickLabelGenerator()`
Returns the tick label generator for the axis.
Methods in org.jfree.chart3d.axis with parameters of type CategoryLabelGenerator
Modifier and Type
Method
Description
`void`
StandardCategoryAxis3D.`setTickLabelGenerator(CategoryLabelGenerator generator)`
Sets the tick label generator for the axis and sends a change event to all registered listeners.

## Uses of CategoryLabelGenerator in org.jfree.chart3d.label

Classes in org.jfree.chart3d.label that implement CategoryLabelGenerator
Modifier and Type
Class
Description
`class`
`StandardCategoryLabelGenerator<S extends Comparable<S>,R extends Comparable<R>,C extends Comparable<C>>`
A default implementation of the `CategoryLabelGenerator` interface.

## Uses of CategoryLabelGenerator in org.jfree.chart3d.plot

Methods in org.jfree.chart3d.plot that return CategoryLabelGenerator
Modifier and Type
Method
Description
`CategoryLabelGenerator`
CategoryPlot3D.`getLegendLabelGenerator()`
Returns the legend label generator, an object that converts key values in the dataset into corresponding strings for presentation in the chart.
Methods in org.jfree.chart3d.plot with parameters of type CategoryLabelGenerator
Modifier and Type
Method
Description
`void`
CategoryPlot3D.`setLegendLabelGenerator(CategoryLabelGenerator generator)`
Sets the legend label generator and sends a `Plot3DChangeEvent` to all registered listeners.